Shadbx Control

Description

The SHADBX Control adds a new technique of providing help to the user. This control allows the developer to provide the user with a dynamic popup help window for advisory information, error reporting, or expansion and elaboration on of a user action.

The SHADBX.VBX custom control closely approximates the actions obtained by Window's help engine. You can now add this feature to VB applications.

File Name

SHADBX.VBX

Remarks

When you create and distribute applications that use the SHADBX control you should install the file SHADBX.VBX in the customer's Microsoft Windows \SYSTEM sub directory. All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line Help for documentation of the remaining properties, events, and methods.

Properties

MessageText

CtlName

Index

Left

Top

Tag

Events

NONE

Methods

None, just set the MessageText property to the desired string, and the window with the text set appears on-screen. The popup window is removed by a mouse click or any key press action by the user.


Typical Problems

Your users may really like the new feature and you may have to add it to all your VB applications. Fortunately it is very easy to use the SHADBX.VBX control.


MessageText Property, Shadbx Control

Description

Sets the text to be displayed in the popup window.

Usage

[form.]SHADBX.hwndForm[ = setting %]

Data Type

String